UbuntuUpdates.org

Package "linux-aws"

Name: linux-aws

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • Linux kernel version specific cloud tools for version 4.4.0
  • Header files related to Linux kernel version 4.4.0
  • Header files related to Linux kernel version 4.4.0
  • Header files related to Linux kernel version 4.4.0

Latest version: 4.4.0-1012.21
Release: xenial (16.04)
Level: updates
Repository: universe

Links

Save this URL for the latest version of "linux-aws": https://www.ubuntuupdates.org/linux-aws



Other versions of "linux-aws" in Xenial

Repository Area Version
security universe 4.4.0-1012.21
security main 4.4.0-1084.94
updates main 4.4.0-1084.94
proposed main 4.4.0-1085.96
PPA: Canonical Kernel Team 4.4.0-1084.94

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 4.4.0-1013.22 2017-04-04 14:07:12 UTC

  linux-aws (4.4.0-1013.22) xenial; urgency=low

  * linux-aws: 4.4.0-1013.22 -proposed tracker (LP: #1678085)

  [ Ubuntu: 4.4.0-72.93 ]

  * linux: 4.4.0-72.93 -proposed tracker (LP: #1678078)
  * Fix CVE-2017-7308 (LP: #1678009)
    - net/packet: fix overflow in check for priv area size
    - net/packet: fix overflow in check for tp_frame_nr
    - net/packet: fix overflow in check for tp_reserve

 -- Stefan Bader <email address hidden> Fri, 31 Mar 2017 17:17:48 +0200

Source diff to previous version
1678009 Fix CVE-2017-7308
CVE-2017-7308 The packet_set_ring function in net/packet/af_packet.c in the Linux kernel through 4.10.6 does not properly validate certain block-size data, which a

Version: 4.4.0-1012.21 2017-03-30 01:07:16 UTC

  linux-aws (4.4.0-1012.21) xenial; urgency=low

  [ Ubuntu: 4.4.0-71.92 ]

  * CVE-2017-7184
    - xfrm_user: validate XFRM_MSG_NEWAE XFRMA_REPLAY_ESN_VAL replay_window
    - xfrm_user: validate XFRM_MSG_NEWAE incoming ESN size harder

 -- Thadeu Lima de Souza Cascardo <email address hidden> Fri, 24 Mar 2017 10:58:04 -0300

Source diff to previous version
CVE-2017-7184 The linux-image-* package 4.8.0.41.52 for the Linux kernel on Ubuntu 16.10 allows local users to obtain root privileges or cause a denial of service

Version: 4.4.0-1011.20 2017-03-27 17:07:05 UTC

  linux-aws (4.4.0-1011.20) xenial; urgency=low

  * linux-aws: 4.4.0-1011.20 -proposed tracker (LP: #1674944)

  [ Ubuntu: 4.4.0-70.91 ]

  * linux: 4.4.0-70.91 -proposed tracker (LP: #1674938)
  * snaps with classic + jailmode confinement started to fail on zesty
    (LP: #1666897)
    - Revert "UBUNTU: SAUCE: apparmor: fix link auditing failure due to,
      uninitialized var"
    - Revert "UBUNTU: SAUCE: fix regression with domain change in complain mode"
    - Revert "UBUNTU: SAUCE: apparmor: flock mediation is not being enforced on
      cache check"
    - Revert "UBUNTU: SAUCE: apparmor: null profiles should inherit parent control
      flags"
    - Revert "UBUNTU: SAUCE: apparmor: fix ns ref count link when removing
      profiles from policy"
    - Revert "UBUNTU: SAUCE: apparmor: Fix no_new_privs blocking change_onexec
      when using stacked namespaces"
    - Revert "UBUNTU: SAUCE: apparmor: fix oops in bind_mnt when dev_path lookup
      fails"
    - Revert "UBUNTU: SAUCE: apparmor: Don't audit denied access of special
      apparmor .null file"
    - Revert "UBUNTU: SAUCE: apparmor: fix label leak when new label is unused"
    - Revert "UBUNTU: SAUCE: apparmor: fix reference count bug in
      label_merge_insert()"
    - Revert "UBUNTU: SAUCE: apparmor: fix replacement race in reading rawdata"
    - Revert "UBUNTU: SAUCE: apparmor: fix cross ns perm of unix domain sockets"

 -- Stefan Bader <email address hidden> Wed, 22 Mar 2017 10:08:02 +0100

Source diff to previous version
1666897 snaps with classic + jailmode confinement started to fail on zesty

Version: 4.4.0-1009.18 2017-03-15 12:07:23 UTC

  linux-aws (4.4.0-1009.18) xenial; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1672505

  * aufs filesystem not available in linux-aws (LP: #1672464)
    - [config] AWS: aufs.ko moved to linux-image package

Source diff to previous version
1672464 aufs filesystem not available in linux-aws

Version: 4.4.0-1007.16 2017-03-08 00:07:04 UTC

  linux-aws (4.4.0-1007.16) xenial; urgency=low

  [ Ubuntu: 4.4.0-66.87 ]

  * CVE-2017-2636
    - TTY: n_hdlc, fix lockdep false positive
    - tty: n_hdlc: get rid of racy n_hdlc.tbuf

 -- Stefan Bader <email address hidden> Sat, 04 Mar 2017 08:17:31 +0100

CVE-2017-2636 local privilege escalation flaw in n_hdlc



About   -   Send Feedback to @ubuntu_updates